osl::progress::ml::NewProgressData Struct Reference

`#include <progress.h>`

Inheritance diagram for osl::progress::ml::NewProgressData:

## Public Attributes

CArray< MultiInt, 2 > | non_pawn_ptype_attacked_pair_eval
MultiInt | promotion37_eval
CArray< int, 2 > | progresses
CArray< int, 2 > | attack5x5_progresses
CArray< int, 2 > | stand_progresses
CArray< int, 2 > | effect_progresses
CArray< int, 2 > | defenses
CArray< int, 2 > | rook
CArray< int, 2 > | bishop
CArray< int, 2 > | gold
CArray< int, 2 > | silver
CArray< int, 2 > | promoted
CArray< int, 2 > | king_relative_attack
CArray< int, 2 > | king_relative_defense
CArray< int, 2 > | non_pawn_ptype_attacked_pair
int | pawn_facing
int | promotion37
int | piecestand7

## Detailed Description

Definition at line 65 of file progress.h.

## Member Data Documentation

## attack5x5_progresses

CArray<int, 2> osl::progress::ml::NewProgressData::attack5x5_progresses

Definition at line 69 of file progress.h.

Referenced by osl::progress::ml::NewProgress::debugInfo(), osl::progress::ml::NewProgress::NewProgress(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::progress(), osl::progress::ml::NewProgress::progress16(), osl::progress::ml::NewProgress::progressAttack(), and osl::progress::ml::NewProgress::updateSub().

## bishop

CArray<int, 2> osl::progress::ml::NewProgressData::bishop

Definition at line 71 of file progress.h.

Referenced by osl::progress::ml::NewProgress::attack5x5Value(), osl::progress::ml::NewProgress::index5x5(), osl::progress::ml::NewProgress::index5x5x(), osl::progress::ml::NewProgress::index5x5y(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::setUp(), and osl::progress::ml::NewProgress::updateAttack5x5Pieces().

## defenses

CArray<int, 2> osl::progress::ml::NewProgressData::defenses

Definition at line 70 of file progress.h.

Referenced by osl::progress::ml::NewProgress::debugInfo(), osl::progress::ml::NewProgress::NewProgress(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::progress(), osl::progress::ml::NewProgress::progress16(), osl::progress::ml::NewProgress::progressDefense(), and osl::progress::ml::NewProgress::updateMain().

## effect_progresses

CArray<int, 2> osl::progress::ml::NewProgressData::effect_progresses

Definition at line 70 of file progress.h.

Referenced by osl::progress::ml::NewProgress::debugInfo(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::progress(), osl::progress::ml::NewProgress::progress16(), osl::progress::ml::NewProgress::progressAttack(), and osl::progress::ml::NewProgress::updateAttack5x5PiecesAndState().

## gold

CArray<int, 2> osl::progress::ml::NewProgressData::gold

Definition at line 71 of file progress.h.

Referenced by osl::progress::ml::NewProgress::attack5x5Value(), osl::progress::ml::NewProgress::index5x5(), osl::progress::ml::NewProgress::index5x5x(), osl::progress::ml::NewProgress::index5x5y(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::setUp(), and osl::progress::ml::NewProgress::updateAttack5x5Pieces().

## king_relative_attack

CArray<int, 2> osl::progress::ml::NewProgressData::king_relative_attack

Definition at line 72 of file progress.h.

Referenced by osl::progress::ml::NewProgress::debugInfo(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::progress(), osl::progress::ml::NewProgress::progress16(), osl::progress::ml::NewProgress::progressAttack(), osl::progress::ml::NewProgress::updateMain(), and osl::progress::ml::NewProgress::updatePieceKingRelativeBonus().

## king_relative_defense

CArray<int, 2> osl::progress::ml::NewProgressData::king_relative_defense

Definition at line 72 of file progress.h.

Referenced by osl::progress::ml::NewProgress::debugInfo(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::progress(), osl::progress::ml::NewProgress::progress16(), osl::progress::ml::NewProgress::progressDefense(), osl::progress::ml::NewProgress::updateMain(), and osl::progress::ml::NewProgress::updatePieceKingRelativeBonus().

## non_pawn_ptype_attacked_pair

CArray<int, 2> osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair

Definition at line 72 of file progress.h.

Referenced by osl::progress::ml::NewProgress::debugInfo(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::progress(), osl::progress::ml::NewProgress::progress16(), osl::progress::ml::NewProgress::progressDefense(), and osl::progress::ml::NewProgress::updateNonPawnAttackedPtypePairOne().

## non_pawn_ptype_attacked_pair_eval

CArray<MultiInt,2> osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair_eval

Definition at line 67 of file progress.h.

Referenced by osl::progress::ml::operator==(), and osl::progress::ml::NewProgress::updateNonPawnAttackedPtypePairOne().

## pawn_facing

int osl::progress::ml::NewProgressData::pawn_facing

Definition at line 73 of file progress.h.

Referenced by osl::progress::ml::NewProgress::progress(), and osl::progress::ml::NewProgress::updatePawnFacing().

## piecestand7

int osl::progress::ml::NewProgressData::piecestand7

Definition at line 73 of file progress.h.

Referenced by osl::progress::ml::NewProgress::progress(), and osl::progress::ml::NewProgress::updatePieceStand7().

## progresses

CArray<int, 2> osl::progress::ml::NewProgressData::progresses

Definition at line 69 of file progress.h.

Referenced by osl::progress::ml::NewProgress::debugInfo(), osl::progress::ml::NewProgress::NewProgress(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::progress(), osl::progress::ml::NewProgress::progress16(), osl::progress::ml::NewProgress::progressAttack(), and osl::progress::ml::NewProgress::updateMain().

## promoted

CArray<int, 2> osl::progress::ml::NewProgressData::promoted

Definition at line 71 of file progress.h.

Referenced by osl::progress::ml::NewProgress::attack5x5Value(), osl::progress::ml::NewProgress::index5x5(), osl::progress::ml::NewProgress::index5x5x(), osl::progress::ml::NewProgress::index5x5y(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::setUp(), and osl::progress::ml::NewProgress::updateAttack5x5Pieces().

## promotion37

int osl::progress::ml::NewProgressData::promotion37

Definition at line 73 of file progress.h.

Referenced by osl::progress::ml::NewProgress::progress(), osl::progress::ml::NewProgress::promotion37One(), and osl::progress::ml::NewProgress::updatePromotion37().

## promotion37_eval

MultiInt osl::progress::ml::NewProgressData::promotion37_eval

Definition at line 68 of file progress.h.

Referenced by osl::progress::ml::NewProgress::promotion37One(), and osl::progress::ml::NewProgress::updatePromotion37().

## rook

CArray<int, 2> osl::progress::ml::NewProgressData::rook

Definition at line 71 of file progress.h.

Referenced by osl::progress::ml::NewProgress::attack5x5Value(), osl::progress::ml::NewProgress::index5x5(), osl::progress::ml::NewProgress::index5x5x(), osl::progress::ml::NewProgress::index5x5y(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::setUp(), and osl::progress::ml::NewProgress::updateAttack5x5Pieces().

## silver

CArray<int, 2> osl::progress::ml::NewProgressData::silver

Definition at line 71 of file progress.h.

Referenced by osl::progress::ml::NewProgress::attack5x5Value(), osl::progress::ml::NewProgress::index5x5(), osl::progress::ml::NewProgress::index5x5x(), osl::progress::ml::NewProgress::index5x5y(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::setUp(), and osl::progress::ml::NewProgress::updateAttack5x5Pieces().

## stand_progresses

CArray<int, 2> osl::progress::ml::NewProgressData::stand_progresses

Definition at line 69 of file progress.h.

Referenced by osl::progress::ml::NewProgress::debugInfo(), osl::progress::ml::NewProgress::NewProgress(), osl::progress::ml::operator==(), osl::progress::ml::NewProgress::progress(), osl::progress::ml::NewProgress::progress16(), osl::progress::ml::NewProgress::progressAttack(), and osl::progress::ml::NewProgress::updateMain().

The documentation for this struct was generated from the following file:

- progress.h